package mdd.client;

import javafx.scene.control.TextField;
import javafx.scene.layout.VBox;
import javafx.scene.paint.Color;
import javafx.scene.text.Font;
import javafx.scene.text.Text;

public class Input  extends Connectable {
    private Text _label;
    private TextField _input;

    public Input(Module parent, String id){
        super(parent, ConnectableType.INPUT, id);
        _label = new Text("TEST");
        _label.setFont(new Font("Arial", 15));
        _label.setFill(Color.WHITE);

        _input = new TextField("{1, 2, 3}");
        _input.setPrefWidth(50);

        VBox vbox = new VBox(_label, _input);
        vbox.setTranslateX(10);
        vbox.setTranslateY(-10);

        getChildren().add(vbox);
    }

    public void setConnected(boolean state){
        super.setConnected(state);
        _input.setVisible(!state);
        _input.setManaged(!state);
    }
}
